## gobject-introspection 1.82.0

=== debian/changelog ===
gobject-introspection (1.82.0-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 12:58:21 +0100

gobject-introspection (1.82.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/control: Bump GLib dependency to 2.82.0 as per meson.build
  * d/control: Add Breaks on older libglib-object-introspection-perl
    (avoids: #1081701)
  * d/control, d/rules, d/*-g-ir-tool.in:
    Use cross-exe-wrapper instead of running qemu directly.
    This avoids needing to hard-code knowledge of how to run qemu-user.
    Because cross-exe-wrapper:i386 has the appropriate special case for
    an amd64 native architecture, this also avoids needing to install
    qemu-user when cross-compiling i386 packages on amd64
    (similar to #1070773).
  * Merge packaging from unstable
    - d/p/giscanner-remove-dependency-on-distutils.msvccompiler.patch:
      Drop patch, included in 1.81.4-1
    - d/gbp.conf: Revert changes
  * d/control: Fix a typo in gobject-introspection Description

  [ Niels Thykier ]
  * dh_girepository: Use Dh_Lib.pm's dpkg_architecture_value instead of
    calling an external dpkg-architecture command

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Sep 2024 17:51:40 +0100

gobject-introspection (1.81.4-1) experimental; urgency=medium

  * New upstream prerelease
  * d/copyright: Update
  * d/p/giscanner-Be-more-thorough-about-applying-Wl-no-as-needed.patch:
    Drop patch, applied upstream
  * d/p/meson-Only-generate-typelib-and-install-win32-files-on-wi.patch:
    Refresh patch
  * Standards-Version: 4.7.0 (no changes required)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 11:50:22 +0100

gobject-introspection (1.80.1-4) unstable; urgency=high

  * d/gbp.conf: Branch for testing/unstable.
    We have 1.81.x in experimental, but it isn't clear whether there is
    going to be a 1.82.0 for GNOME 47.
  * d/p/giscanner-remove-dependency-on-distutils.msvccompiler.patch:
    Backport patch from 1.81.2 to fix regression with setuptools 74.x
  * Set high urgency because this is breaking the build of dependent
    packages

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Sep 2024 11:29:30 +0100

gobject-introspection (1.80.1-3) unstable; urgency=medium

  * d/p/giscanner-Be-more-thorough-about-applying-Wl-no-as-needed.patch:
    Add proposed patch to apply -Wl,--no-as-needed more thoroughly.
    This avoids build regressions in libkkc and ibus-anthy, which pass
    libraries to `g-ir-scanner --library` that do not contain any functions
    directly called by the dumper.
    (Closes: #1060951, #1060953) (Mitigates: #1071116)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 May 2024 18:42:37 +0100

gobject-introspection (1.80.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 May 2024 12:39:14 -0400

=== debian/control ===
Source: gobject-introspection
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>,
           Matthias Klumpp <mak@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Tim Lunn <tim@feathertop.org>,
           Simon McVittie <smcv@debian.org>,
# B-D on gobject-introspection if cross && !nogir
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-sequence-python3,
               flex,
               gir1.2-glib-2.0-dev (>= 2.82.0) <!nogir>,
               gobject-introspection (>= 1.78.1-17~) <cross !nogir>,
               libcairo2-dev,
               libelf-dev,
               libelf-dev:native,
               libffi-dev (>= 3.4),
               libglib2.0-dev (>= 2.82.0),
               libpython3-dev,
               libtool,
               meson (>= 0.60.0),
               pkgconf,
               python3-debian:native,
               python3-dev:any,
               python3-docutils <!nodoc>,
               python3-mako:native,
               python3-markdown:native,
               python3-setuptools,
               python3:native,
               cross-exe-wrapper <cross>,
Build-Depends-Indep: gtk-doc-tools,
                     libglib2.0-doc (>= 2.82.0),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
Homepage: https://wiki.gnome.org/GObjectIntrospection

Package: libgirepository-1.0-1
Section: libs
Architecture: any
Provides: libgirepository-1.0-1-with-${local:libffiN} (= ${binary:Version}),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libcjs0 (<< 4.8.2-1+b1),
        libgjs0g (<< 1.68.4-1+b1),
        libglib-object-introspection-perl (<< 0.051-2~),
        python-gi (<< 3.42.0-1+b1),
        python3-gi (<< 3.42.0-1+b1),
        ruby-gobject-introspection (<< 3.4.3-1+b2),
Multi-Arch: same
Description: Library for handling GObject introspection data (runtime library)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains a C library for handling the introspection data.

Package: libgirepository1.0-dev
Build-Profiles: <!nogir>
Section: libdevel
Architecture: any
Depends: gir1.2-freedesktop (= ${binary:Version}),
         gir1.2-freedesktop-dev (= ${binary:Version}),
         gir1.2-girepository-2.0 (= ${binary:Version}),
         gir1.2-girepository-2.0-dev (= ${binary:Version}),
         gir1.2-glib-2.0 (>= 2.82.0),
         gir1.2-glib-2.0-dev (>= 2.82.0),
         gobject-introspection (= ${binary:Version}),
         libffi-dev (>= 3.4),
         libgirepository-1.0-1 (= ${binary:Version}),
         libgirepository-1.0-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.82.0),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: libgirepository1.0-doc,
Description: Library for handling GObject introspection data (complete development files)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This metapackage depends on everything needed to use GObject-Introspection.
 It also provides GLib-2.0.gir at its traditional location in /usr/share,
 for compatibility with older code-generation tools which do not read GIR XML
 from /usr/lib/${local:DEB-HOST-MULTIARCH}/gir-1.0.
 .
 Please consider build-depending on gobject-introspection and the appropriate
 gir1.2-*-dev packages in preference to this package, to allow for
 cross-compilation.

Package: libgirepository-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gobject-introspection (= ${binary:Version}),
         libffi-dev (>= 3.4),
         libgirepository-1.0-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.82.0),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: libgirepository1.0-doc,
Breaks: libgirepository1.0-dev (<< 1.78.1-7~),
Replaces: libgirepository1.0-dev (<< 1.78.1-7~),
Description: Library for handling GObject introspection data (development files)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the headers for the C library for handling the
 introspection data.

Package: libgirepository1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Recommends: libglib2.0-doc,
Multi-Arch: foreign
Description: Library for handling GObject introspection data (documentation)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the documentation for the C library for handling the
 introspection data.

Package: gobject-introspection
Multi-Arch: same
Architecture: any
Depends: binutils-${local:DEB-HOST-GNU-TYPE-DASHES}:any,
         gcc-${local:DEB-HOST-GNU-TYPE-DASHES},
         gobject-introspection-bin (= ${binary:Version}),
         gobject-introspection-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
         libgirepository-1.0-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.82.0),
         pkgconf,
         native-architecture | cross-exe-wrapper,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: dh-sequence-gir,
Breaks: libgirepository-1.0-dev (<< 1.78.1-9~),
        libgirepository1.0-dev (<< 1.78.1-7~),
Replaces: libgirepository-1.0-dev (<< 1.78.1-9~),
          libgirepository1.0-dev (<< 1.78.1-7~),
Description: Generate interface introspection data for GObject libraries
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains tools for extracting introspection data from libraries
 and transforming it to different formats. The versions of these tools with
 architecture name prefixes, such as ${local:DEB-HOST-GNU-TYPE}-g-ir-scanner,
 can be used during cross-compilation.
 .
 Although this package includes the pkg-config metadata for both the tools
 and the libgirepository-1.0 library, it does not guarantee to provide the
 library itself (currently it does provide the libgirepository-1.0.so
 symlink as a workaround for a Meson issue, but this should not be
 relied on). Packages that explicitly link to libgirepository-1.0.so,
 mainly dynamic language bindings like GJS and PyGI, will need to
 build-depend on libgirepository-1.0-dev in addition to this package.

Package: gobject-introspection-bin
Architecture: any
Multi-Arch: foreign
Depends: build-essential,
         libdpkg-perl,
         libgirepository-1.0-1 (= ${binary:Version}),
         python3-mako,
         python3-markdown,
         python3-setuptools,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: gobject-introspection-bin-${local:DEB-HOST-ARCH-OS} (= ${binary:Version}),
Breaks: gobject-introspection (<< 1.78.1-7~),
        libgirepository1.0-dev (<< 1.78.1-7~),
Replaces: gobject-introspection (<< 1.78.1-7~),
          libgirepository1.0-dev (<< 1.78.1-7~),
Description: Executables for gobject-introspection
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the implementation for various tools.
 Please do not depend on this package directly: use gobject-introspection
 instead.

Package: gir1.2-girepository-2.0
Build-Profiles: <!nogir>
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
Breaks: gir1.2-glib-2.0 (<< 1.78.1-7~),
        gjs (<< 1.78.1-2~),
        pygobject (<< 3.46.0-3~),
Replaces: gir1.2-glib-2.0 (<< 1.78.1-7~),
Multi-Arch: same
Description: Introspection data for GIRepository library
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the introspection data for the GIRepository library,
 which can be used to manipulate the search path used by language bindings
 and load introspection data.

Package: gir1.2-girepository-2.0-dev
Build-Profiles: <!nogir>
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-girepository-2.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Breaks: libgirepository-1.0-1 (<< 1.78.1-3~),
        libgirepository1.0-dev (<< 1.78.1-7~),
Replaces: libgirepository1.0-dev (<< 1.78.1-7~),
Description: GIR XML for GIRepository library
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 This package contains the introspection data for the GIRepository
 library, in the GIR XML format used to generate bindings for static languages
 like C++, D and Haskell.

Package: gir1.2-freedesktop
Build-Profiles: <!nogir>
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Multi-Arch: same
Description: Introspection data for some FreeDesktop components
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains small pieces of introspection data for the Cairo,
 FontConfig, FreeType, GL, and some XOrg libraries, in the typelib format
 used to generate bindings for dynamic languages like JavaScript and Python.
 They are far from complete and only include what is necessary for other
 introspection packages to work properly.

Package: gir1.2-freedesktop-dev
Build-Profiles: <!nogir>
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-freedesktop (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export GIR_SONAME = 1
export GIR_API_VERSION = 1.0
export GIR_FORMAT = 1.2

POD_MANPAGES := debian/dh_girepository.1
$(POD_MANPAGES): %.1: %
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

RST_MANPAGES := debian/g-ir-inspect.1
$(RST_MANPAGES): %.1: %.rst
	rst2man $< $@

MANPAGES := $(POD_MANPAGES) $(RST_MANPAGES)

%:
	dh $@ --builddir=_build

debian/extra-substvars:
	dpkg-architecture -c debian/extra-substvars.py > debian/extra-substvars

debian/libgirepository-1.0-1.symbols: debian/libgirepository-1.0-1.symbols.in debian/extra-substvars
	set -e; \
	libffiN=$$(sed -ne 's/^local:libffiN=//p' debian/extra-substvars); \
	sed -e "s/@libffiN@/$$libffiN/" < $< > $@

override_dh_clean:
	dh_clean -Xorg.gtk.test.gschema.xml.orig -Xorg.gtk.test.gschema.override.orig

configure_options = \
	-Dgir_dir_prefix=lib/${DEB_HOST_MULTIARCH} \
	-Dcairo=enabled \
	-Ddoctool=enabled \
	-Dpython=python3 \
	$(NULL)

ifeq ($(filter %-doc,$(built_binaries)),)
configure_options += -Dgtk_doc=false
else
configure_options += -Dgtk_doc=true
endif

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
configure_options += --cross-file=$(CURDIR)/debian/meson-cross-for-build.ini
# This is a bit weird: gobject-introspection uses the build architecture
# gobject-introspection to build typelibs for the host architecture.
# That should maybe be fixed upstream, but for now force use of our
# appropriate $(DEB_HOST_GNU_TYPE)-g-ir-scanner and -compiler, which
# in turn will use the appropriate host gcc.
configure_options += --native-file=$(CURDIR)/debian/meson-cross-for-build.ini
configure_options += -Dgi_cross_binary_wrapper=$(DEB_HOST_GNU_TYPE)-cross-exe-wrapper
configure_options += -Dgi_cross_ldd_wrapper=$(CURDIR)/debian/deb-elf-get-needed-for-build
configure_options += -Dgi_cross_use_prebuilt_gi=true
endif

ifeq ($(filter gir1.2-%,$(built_binaries)),)
configure_options += -Dbuild_introspection_data=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
execute_before_dh_auto_build: $(MANPAGES)
endif

execute_before_dh_auto_build: debian/cross-tools/deb-can-run-$(DEB_HOST_ARCH)
debian/cross-tools/deb-can-run-$(DEB_HOST_ARCH):
	mkdir -p debian/cross-tools
	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/can-run.c

execute_before_dh_auto_build: debian/deb-elf-get-needed
debian/deb-elf-get-needed:
	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/elf-get-needed.c -lelf

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
execute_before_dh_auto_build: debian/deb-elf-get-needed-for-build
debian/deb-elf-get-needed-for-build:
	$(DEB_BUILD_GNU_TYPE)-gcc -o$@ debian/elf-get-needed.c -lelf
endif

execute_before_dh_auto_configure: debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini: debian/meson-cross-g-i.ini.in debian/rules
	sed \
		-e '/^exe_wrapper *=/d' \
		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|' \
		-e 's|@bindir@|/usr/bin|' \
		< $< > $@.tmp
	mv $@.tmp $@

execute_before_dh_auto_configure: debian/meson-cross-for-build.ini
debian/meson-cross-for-build.ini: debian/meson-cross-g-i.ini.in debian/rules
	sed \
		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|' \
		-e 's|@bindir@|/usr/bin|' \
		< $< > $@.tmp
	mv $@.tmp $@

execute_before_dh_auto_configure: cross-tools emulated-cross-tools

cross_tools = \
	g-ir-annotation-tool \
	g-ir-doc-tool \
	g-ir-scanner \
	$(NULL)
emulated_cross_tools = \
	g-ir-compiler \
	g-ir-generate \
	g-ir-inspect \
	$(NULL)
cross-tools: debian/cross-g-ir-tool.in debian/rules
	mkdir -p debian/cross-tools
	set -e; for tool in $(cross_tools); do \
		sed \
			-e 's|@CAN_RUN@|/usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/deb-can-run-$(DEB_HOST_ARCH)|' \
			-e 's|@DEB_HOST_ARCH@|$(DEB_HOST_ARCH)|' \
			-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|' \
			-e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|' \
			-e 's|@GET_NEEDED@|/usr/libexec/gobject-introspection-bin/deb-elf-get-needed|' \
			-e 's|@TOOL@|'"$$tool"'|' \
			-e 's|@TOOL_PATH@|/usr/bin/'"$$tool"'|' \
			< $< > debian/cross-tool.tmp; \
		chmod 0755 debian/cross-tool.tmp; \
		mv debian/cross-tool.tmp debian/cross-tools/$(DEB_HOST_GNU_TYPE)-$$tool; \
	done

emulated-cross-tools: debian/emulated-g-ir-tool.in debian/rules
	mkdir -p debian/cross-tools
	set -e; for tool in $(emulated_cross_tools); do \
		sed \
			-e 's|@CAN_RUN@|/usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/deb-can-run-$(DEB_HOST_ARCH)|' \
			-e 's|@DEB_HOST_ARCH@|$(DEB_HOST_ARCH)|' \
			-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|' \
			-e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|' \
			-e 's|@TOOL@|'"$$tool"'|' \
			-e 's|@TOOL_PATH@|/usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/'"$$tool"'|' \
			< $< > debian/cross-tool.tmp; \
		chmod 0755 debian/cross-tool.tmp; \
		mv debian/cross-tool.tmp debian/cross-tools/$(DEB_HOST_GNU_TYPE)-$$tool; \
	done

execute_after_dh_auto_install:
	sed -i \
		-e 's|^girdir=\(.*\)|girdir=$${datadir}/gir-1.0|' \
		-e 's|^g_ir_\(.*\)=\(.*\)/g-ir-\(.*\)$$|g_ir_\1=$${bindir}/${DEB_HOST_GNU_TYPE}-g-ir-\3|' \
		debian/tmp/usr/lib/*/pkgconfig/*.pc

execute_before_dh_makeshlibs: debian/libgirepository-1.0-1.symbols

ifneq ($(filter gir1.2-%,$(built_binaries)),)
execute_after_dh_shlibdeps:
	perl -w debian/dh_girepository -v -Nlibgirepository1.0-dev
endif

execute_before_dh_python3:
	dh_python3 /usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/giscanner/

override_dh_gencontrol: debian/extra-substvars
	dh_gencontrol -- -Tdebian/extra-substvars

override_dh_installdocs:
	dh_installdocs -pgobject-introspection-bin --doc-main-package=gobject-introspection
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -pgobject-introspection-bin --doc-main-package=gobject-introspection
	dh_installexamples --remaining-packages

## gobject-introspection 1.84.0

=== debian/changelog ===
gobject-introspection (1.84.0-1) unstable; urgency=medium

  * New upstream release (functionally equivalent to 1.83.4)
  * d/gbp.conf: Use upstream/1.84.x branch for trixie
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 12:57:47 +0000

gobject-introspection (1.83.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 14:36:14 -0500

gobject-introspection (1.83.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 20:26:13 -0500

gobject-introspection (1.83.2-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum meson

  [ Simon McVittie ]
  * d/rules: Pass build architecture CFLAGS, etc. when appropriate
    deb-elf-get-needed-for-build should be built with the build
    architecture's compiler flags.
  * d/rules: Build deb-elf-get-needed-for-build unconditionally.
    This helps QA tools to detect whether we're doing it right.
  * d/salsa-ci.yml: Opt-in to being cross-built.
    This package has a non-trivial cross-compilation setup which we should
    verify in CI.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 12:55:46 -0500

gobject-introspection (1.82.0-4) unstable; urgency=medium

  * dh_girepository: Use the binary package version to generate deps.
    The version of a binary package can be set dynamically at build-time
    using dh_gencontrol; dh_girepository instead is using the static
    source package version, which generates unsatisfiable dependencies
    if the version is changed by dh_gencontrol, breaking installability.
    Use ${binary:Version} which will be substituted with the actual
    binary package version at a later time. (Closes: #1065726)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Jan 2025 16:54:07 +0000

gobject-introspection (1.82.0-3) unstable; urgency=medium

  * d/control: Build-depend on python3-markdown without the :native
    qualifier.
    python3-markdown (>= 3.7-2) is Multi-Arch: foreign. apt considers
    a Multi-Arch: foreign package to be a valid dependency resolution
    for a dependency with the :native qualifier, but dpkg-checkbuilddeps
    does not (see #1023438). (Closes: #1090228)
  * d/rules: Tell blhc to ignore temporary modules used to gather
    dependencies.
    These appear in the build log because we're running dh_girepository in
    verbose mode. It's OK that these temporary modules are linked without
    using dpkg's default compiler flags for hardening and similar things,
    because they are linked, passed to dh_shlibdeps to collect their
    dependencies and then discarded: they are not included in any package.
  * d/control: Remove unnecessary Build-Depends on libtool
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2024 18:48:05 +0000

=== debian/control ===
--- 
+++ 
@@ -23,21 +23,20 @@
                libffi-dev (>= 3.4),
                libglib2.0-dev (>= 2.82.0),
                libpython3-dev,
-               libtool,
-               meson (>= 0.60.0),
+               meson (>= 1.4.0),
                pkgconf,
                python3-debian:native,
                python3-dev:any,
                python3-docutils <!nodoc>,
                python3-mako:native,
-               python3-markdown:native,
+               python3-markdown (>= 3.7-2~) | python3-markdown:native,
                python3-setuptools,
                python3:native,
                cross-exe-wrapper <cross>,
 Build-Depends-Indep: gtk-doc-tools,
                      libglib2.0-doc (>= 2.82.0),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection

=== debian/rules ===
--- 
+++ 
@@ -81,11 +81,11 @@
 debian/deb-elf-get-needed:
 	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/elf-get-needed.c -lelf
 
-ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 execute_before_dh_auto_build: debian/deb-elf-get-needed-for-build
 debian/deb-elf-get-needed-for-build:
-	$(DEB_BUILD_GNU_TYPE)-gcc -o$@ debian/elf-get-needed.c -lelf
-endif
+	$(DEB_BUILD_GNU_TYPE)-gcc \
+		$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) \
+		-o$@ debian/elf-get-needed.c -lelf
 
 execute_before_dh_auto_configure: debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini: debian/meson-cross-g-i.ini.in debian/rules
@@ -157,6 +157,7 @@
 
 ifneq ($(filter gir1.2-%,$(built_binaries)),)
 execute_after_dh_shlibdeps:
+	@echo 'blhc: ignore-line-regexp: .*\s-o\s+debian/\S+/girepository-1\.0/.*\.typelib\.so\s.*'
 	perl -w debian/dh_girepository -v -Nlibgirepository1.0-dev
 endif

## gobject-introspection 1.86.0

=== meson_options.txt ===
option('runtime_libdir',
       type : 'string',
       value : '',
       description : 'install runtime libraries relative to libdir',
       deprecated: true)

option('charsetalias_dir',
       type : 'string',
       value : '',
       description : 'directory for charset.alias dir (default to \'libdir\' if unset)')

option('gio_module_dir',
       type : 'string',
       value : '',
       description : 'load gio modules from this directory (default to \'libdir/gio/modules\' if unset)')

# FIXME: Deliberately not named runstatedir to avoid colliding with
# https://github.com/mesonbuild/meson/issues/4141; port to that when Meson
# supports it
option('runtime_dir',
       type: 'string',
       value: '',
       description: 'Directory for transient runtime state [default: /run]')

option('selinux',
       type : 'feature',
       value : 'auto',
       description : 'build with selinux support')

option('xattr',
       type : 'boolean',
       value : true,
       description : 'build with xattr support')

option('libmount',
       type : 'feature',
       value : 'auto',
       description : 'build with libmount support')

option('man',
       type : 'boolean',
       value : false,
       description : 'generate man pages (requires xsltproc)',
       deprecated : 'man-pages')

option('man-pages',
       type : 'feature',
       value : 'auto',
       description : 'generate man pages (requires rst2man)',
       deprecated : { 'true': 'enabled', 'false': 'disabled' })

option('dtrace',
       type : 'boolean',
       value : false,
       description : 'include tracing support for dtrace')

option('systemtap',
       type : 'boolean',
       value : false,
       description : 'include tracing support for systemtap')

option('tapset_install_dir',
       type : 'string',
       value : '',
       description : 'path where systemtap tapsets are installed')

option('sysprof',
       type : 'feature',
       value : 'disabled',
       description : 'include tracing support for sysprof')

option('documentation',
       type : 'boolean',
       value : false,
       description : 'Build API reference and tools documentation')

option('gtk_doc',
       type : 'boolean',
       value : false,
       description : 'use gtk-doc to build documentation',
       deprecated : 'documentation')

option('bsymbolic_functions',
       type : 'boolean',
       value : true,
       description : 'link with -Bsymbolic-functions if supported')

option('force_posix_threads',
       type : 'boolean',
       value : false,
       description : 'Also use posix threads in case the platform defaults to another implementation (on Windows for example)')

option('tests',
       type : 'boolean',
       value : true,
       description : 'build tests')

option('installed_tests',
       type : 'boolean',
       value : false,
       description : 'enable installed tests')

option('nls',
       type : 'feature',
       value : 'auto',
       yield: true,
       description : 'Enable native language support (translations)')

option('oss_fuzz',
       type : 'feature',
       value : 'disabled',
       description : 'Indicate oss-fuzz build environment')

option('glib_debug',
       type : 'feature',
       value : 'auto',
       yield : true,
       description : 'Enable GLib debug infrastructure (see docs/macros.txt)')

option('glib_assert',
       type : 'boolean',
       value : true,
       yield : true,
       description : 'Enable GLib assertion (see docs/macros.txt)')

option('glib_checks',
       type : 'boolean',
       value : true,
       yield : true,
       description : 'Enable GLib checks such as API guards (see docs/macros.txt)')

option('libelf',
       type : 'feature',
       value : 'auto',
       description : 'Enable support for listing and extracting from ELF resource files with gresource tool')

option('multiarch',
       type : 'boolean',
       value : false,
       description : 'Install some helper executables in per-architecture locations')

option('gir_dir_prefix',
       type: 'string',
       description: 'Intermediate prefix for gir installation under ${prefix}')

option('introspection',
       type: 'feature',
       value: 'auto',
       description: 'Enable generating introspection data (requires gobject-introspection)')

=== docs/website/requirements.txt ===
sphinx>=5.0,<8.0
sphinx-rtd-theme>=1.2,<2.0

=== docs/website/tools/Makefile ===
# update man pages

all: ../../g-ir-compiler.1 ../../g-ir-doc-tool.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

../../%.1:%.rst
	rst2man $< > $@

.PHONY: clean

clean:
	rm -f ../../g-ir-compiler.1 ../../g-ir-doc-tool.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

=== debian/changelog ===
gobject-introspection (1.86.0-6) unstable; urgency=medium

  * d/control: Build-depend on perl:native.
    This fixes cross-building: for pod2man, we want the build
    architecture's perl, not the host architecture's.
  * Fix a typo in the 1.86.0-3 changelog entry: Debian 14 is forky,
    not trixie. Thanks to Amr Ibrahim
  * d/libgirepository1.0-dev.README.Debian: Mention deb-gir-tool(1)
  * d/libgirepository1.0-dev.README.Debian: Clarify relevant distro
    releases
  * d/libgirepository1.0-dev.README.Debian: GStreamer now uses
    /usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0, too

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Oct 2025 10:26:02 +0100

gobject-introspection (1.86.0-5) unstable; urgency=medium

  * deb-gir-tool: Fix refcounting of GOptionGroup

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 23:59:48 +0100

gobject-introspection (1.86.0-4) unstable; urgency=medium

  * deb-gir-tool(1): Fix comment syntax
  * deb-gir-tool(1): Indent examples consistently
  * deb-gir-tool(1): Fix syntax of example involving dpkg-architecture

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 23:45:31 +0100

gobject-introspection (1.86.0-3) unstable; urgency=medium

  * Add deb-gir-tool(1) to gobject-introspection.
    This utility helps to work with other packages' GIR XML by locating
    the actual files that implement a particular module.
    In particular, it can be used by packages like rust-gtk4 during build.
  * d/libgirepository-1.0-1.symbols.in: Update Build-Depends-Package.
    Set Build-Depends-Package to libgirepository-1.0-dev,
    and Build-Depends-Packages to that + libgirepository1.0-dev.
  * d/libgirepository1.0-dev.README.Debian: Add advice on porting away.
    libgirepository1.0-dev is not multiarch-friendly, and cannot be made
    multiarch-friendly without breaking backward compatibility, so we
    aim to phase it out during the Debian 14 (forky) development cycle.
  * d/control: Describe libgirepository1.0-dev as deprecated
  * d/tests/control: Update dependencies
  * d/.gitignore: Update

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 21:28:30 +0100

gobject-introspection (1.86.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 14:55:11 -0400

gobject-introspection (1.86.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/cross-g-ir-tool.in: Don't rely on sysconfig.
    During cross-compilation of some packages it is necessary to set
    the environment variable _PYTHON_SYSCONFIGDATA_NAME, which alters
    sysconfig to describe the host rather than build architecture,
    meaning that it no longer has facts about the current interpreter.
    (Closes: #1105149)
  * Improve documentation in README.Debian:
    - Simplify recommended gobject-introspection dependency to 1.80.
      The previous recommendation was new in Debian 13 and Ubuntu 24.04,
      but 1.80 is available in both of those releases too, so we can
      recommend something shorter and easier to remember without losing
      portability.
    - Suggest a less intrusive workaround for #1060838/#1111001
    - #1060907 in haskell-haskell-gi was fixed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 08:39:09 -0400

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,25 @@
            Michael Biebl <biebl@debian.org>,
            Tim Lunn <tim@feathertop.org>,
            Simon McVittie <smcv@debian.org>,
+# B-D on gir1.2-*-dev if !nocheck (for deb-gir-tool.t) || !nogir (for g-ir-scanner)
 # B-D on gobject-introspection if cross && !nogir
+# B-D on perl if !nocheck (for prove) || !nodoc (for pod2man)
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-sequence-python3,
                flex,
-               gir1.2-glib-2.0-dev (>= 2.82.0) <!nogir>,
+               gir1.2-glib-2.0-dev (>= 2.82.0) <!nocheck> <!nogir>,
                gobject-introspection (>= 1.78.1-17~) <cross !nogir>,
                libcairo2-dev,
                libelf-dev,
                libelf-dev:native,
                libffi-dev (>= 3.4),
                libglib2.0-dev (>= 2.82.0),
+               libipc-run3-perl <!nocheck>,
                libpython3-dev,
+               libstring-shellquote-perl <!nocheck>,
                meson (>= 1.4.0),
+               perl:native <!nocheck> <!nodoc>,
                pkgconf,
                python3-debian:native,
                python3-dev:any,
@@ -68,7 +73,7 @@
 
 Package: libgirepository1.0-dev
 Build-Profiles: <!nogir>
-Section: libdevel
+Section: oldlibs
 Architecture: any
 Depends: gir1.2-freedesktop (= ${binary:Version}),
          gir1.2-freedesktop-dev (= ${binary:Version}),
@@ -84,21 +89,21 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: libgirepository1.0-doc,
-Description: Library for handling GObject introspection data (complete development files)
- GObject Introspection is a project for providing machine readable
- introspection data of the API of C libraries. This introspection
- data can be used in several different use cases, for example
- automatic code generation for bindings, API verification and documentation
- generation.
- .
- This metapackage depends on everything needed to use GObject-Introspection.
- It also provides GLib-2.0.gir at its traditional location in /usr/share,
- for compatibility with older code-generation tools which do not read GIR XML
- from /usr/lib/${local:DEB-HOST-MULTIARCH}/gir-1.0.
- .
- Please consider build-depending on gobject-introspection and the appropriate
- gir1.2-*-dev packages in preference to this package, to allow for
- cross-compilation.
+Description: Library for handling GObject introspection data (backwards compatibility)
+ GObject Introspection is a project for providing machine readable
+ introspection data of the API of C libraries. This introspection
+ data can be used in several different use cases, for example
+ automatic code generation for bindings, API verification and documentation
+ generation.
+ .
+ This package depends on everything needed to use GObject-Introspection,
+ and provides GLib-2.0.gir at its traditional location in /usr/share,
+ for compatibility with older code-generation tools which do not read
+ GIR XML from /usr/lib/${local:DEB-HOST-MULTIARCH}/gir-1.0.
+ .
+ This package is deprecated. Please see its README.Debian file for advice
+ on how to migrate away from it to gobject-introspection, gir1.2-*-dev
+ and/or libgirepository-1.0-dev.
 
 Package: libgirepository-1.0-dev
 Section: libdevel
@@ -282,15 +287,3 @@
  This package contains small pieces of introspection data for the Cairo,
  FontConfig, FreeType, GL, and some XOrg libraries, in the typelib format
  used to generate bindings for dynamic languages like JavaScript and Python.
- They are far from complete and only include what is necessary for other
- introspection packages to work properly.
-
-Package: gir1.2-freedesktop-dev
-Build-Profiles: <!nogir>
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: gir1.2-freedesktop (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends},
-Provides: ${gir:Provides},

=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,25 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkgconf
 
 export GIR_SONAME = 1
 export GIR_API_VERSION = 1.0
 export GIR_FORMAT = 1.2
 
-POD_MANPAGES := debian/dh_girepository.1
-$(POD_MANPAGES): %.1: %
+PERL_MANPAGES := debian/dh_girepository.1
+$(PERL_MANPAGES): %.1: %
+	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@
+
+POD_MANPAGES := debian/deb-gir-tool.1
+$(POD_MANPAGES): %.1: %.pod
 	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@
 
 RST_MANPAGES := debian/g-ir-inspect.1
 $(RST_MANPAGES): %.1: %.rst
 	rst2man $< $@
 
-MANPAGES := $(POD_MANPAGES) $(RST_MANPAGES)
+MANPAGES := $(PERL_MANPAGES) $(POD_MANPAGES) $(RST_MANPAGES)
 
 %:
 	dh $@ --builddir=_build
@@ -76,6 +81,14 @@
 debian/cross-tools/deb-can-run-$(DEB_HOST_ARCH):
 	mkdir -p debian/cross-tools
 	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/can-run.c
+
+execute_before_dh_auto_build: debian/deb-gir-tool
+debian/deb-gir-tool: debian/deb-gir-tool.c debian/rules
+	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
+		-o$@ $< \
+		-Wall -fno-strict-aliasing \
+		-DDEB_HOST_MULTIARCH='"$(DEB_HOST_MULTIARCH)"' \
+		$$(${PKG_CONFIG} --cflags --libs glib-2.0 gio-2.0)
 
 execute_before_dh_auto_build: debian/deb-elf-get-needed
 debian/deb-elf-get-needed:
@@ -147,6 +160,11 @@
 		mv debian/cross-tool.tmp debian/cross-tools/$(DEB_HOST_GNU_TYPE)-$$tool; \
 	done
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+execute_before_dh_auto_test:
+	PATH=$(CURDIR)/debian:$$PATH prove -v debian/tests/deb-gir-tool.t
+endif
+
 execute_after_dh_auto_install:
 	sed -i \
 		-e 's|^girdir=\(.*\)|girdir=$${datadir}/gir-1.0|' \

=== debian/tests/control ===
Tests: build
Restrictions: superficial
# deliberately avoid depending on gir1.2-glib-2.0 and friends; gir1.2-gtk-3.0
# ought to pull these in
Depends: build-essential,
         gir1.2-gtk-3.0,
         libgirepository-1.0-dev,
         pkgconf,

Tests: libgirepository1.0-dev
Restrictions: superficial
Depends: build-essential,
         gir1.2-gtk-3.0,
         libgirepository1.0-dev,
         pkgconf,

Tests: deb-gir-tool.t
Restrictions: allow-stderr
Depends: gir1.2-gio-2.0-dev,
         gobject-introspection,
         libipc-run3-perl,
         libstring-shellquote-perl,
         perl,

Tests: tools
Restrictions: allow-stderr
Depends: file (>= 1:5.25),
         gir1.2-cairo-1.0-dev,
         gir1.2-gio-2.0-dev,
         gobject-introspection,
         libcairo2-dev,

=== debian/watch ===
version=4
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
# Update the version in parentheses as needed to correspond to the version
# of GLib for which a subset is present in gir/g*.c.
# PLEASE DO NOT JUST UPDATE THIS TO THE LATEST VERSION
# This should only be updated if gir/g*.c actually change!
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, component=glib" \
https://download.gnome.org/sources/glib/cache.json \
	[\d.]+/glib-(2\.79\.1)@ARCHIVE_EXT@
